-- SnapShot LS 11 Mod
-- by modelleicher
-- thx to micha381 ( Snapshot LS 09 Mod ) 
-- www.schwabenmodding.bplaced.net

-- addet to modelleichers Map Final Beta Release without Hud "Wasserzeichen" Mode.

print("Snapshot Mod LS 11 was loaded");

SnapShot = {};


function SnapShot:loadMap(name)
	-- get Path of the MyGames Folder
	local pth = getUserProfileAppPath();
	self.path = pth.."NewSnapShots/"
	
	-- set all variables at correctly state at loading
	self.menue = {};
	self.menue.show = false;
	self.menue.filetype1 = "jpg"
	self.menue.filetype2 = "png"
	self.menue.curFiletype = "jpg"
	
	-- Do a check, if there's currently no SnapShot Folder in MyGames, this Lines will create one
	local check = getFiles(self.path,"")
	if check == nil or check == 0 then 
		createFolder(pth.."NewSnapShots");
		print("SnapShot LS 11 Mod: Folder \"NewSnapShots\" in MyGames was createt");
	end; 
end;

function SnapShot:deleteMap()
end;
function SnapShot:mouseEvent(posX, posY, isDown, isUp, button)
end;

function SnapShot:keyEvent(unicode, sym, modifier, isDown)
    -- check the number of Screens in the SnapShot Folder
    local file = getFiles(self.path,"");

	-- take the screenshot if F12 is down
    if isDown and sym == 293 then
		saveScreenshot(self.path.."lsScreen"..file.."."..self.menue.curFiletype)
		print("SnapShot LS 11 Mod: Screenshot saved  \"lsScreen"..file.."."..self.menue.curFiletype.."\"");
	end;

	-- show's and hide the Menue for settings
    if bitAND(modifier, Input.MOD_CTRL) > 0 and bitAND(modifier, Input.MOD_ALT) > 0 and InputBinding.isPressed(InputBinding.SHOW_MENUE) then
		self.menue.show = not self.menue.show
	end;
	
	-- this part changes the Filetypes if menue is true and the right key's are pressed.
	if self.menue.show == true then
		if bitAND(modifier, Input.MOD_CTRL) > 0 and bitAND(modifier, Input.MOD_ALT) > 0 and InputBinding.isPressed(InputBinding.CHANGE_FILETYPE) then
			if self.menue.curFiletype == self.menue.filetype1 then
				self.menue.curFiletype = self.menue.filetype2
			elseif self.menue.curFiletype == self.menue.filetype2 then
				self.menue.curFiletype = self.menue.filetype1
			end;
		end;	
	end;

end;

function SnapShot:update(dt)
end;

function SnapShot:draw()

   if self.menue.show == true then
       renderText(0.4, 0.7, 0.03, "Snapshot Einstellungen:");
       renderText(0.18, 0.65, 0.024, "momentaner Dateityp:  *."..self.menue.curFiletype.." (aendern: Tasten Strg, Alt und X)");


	   renderText(0.1, 0.56, 0.024, "Credits: by modelleicher, released by www.schwabenmodding.bplaced.net, thx to micha381 (snapshot ls09 mod)");
   end;
end;

addModEventListener(SnapShot);